/*
 * eeprom.h
 *
 *  Created on: Jun 7, 2017
 *      Author: wn
 */

#ifndef EEPROM_H_
#define EEPROM_H_

#include "stm32f1xx_hal.h"


#define STORAGE_ADDRESS 0x20

void eepromWrite(uint16_t addr, uint8_t *buf, uint8_t len);
void eepromRead(uint16_t addr, uint8_t *buf, uint8_t len);
uint8_t eepromReadStatus();
void eepromWren();
void eepromWrdi();

#endif /* EEPROM_H_ */
